/*!
    \file crosshair.h
    \brief Definition of ...

*/

#ifndef _CROSSHAIR_H
#define _CROSSHAIR_H

#include "event_listener.h"

#include "vector.h"

// FORWARD DEFINITION


//! A class that enables the
class Crosshair : public EventListener {

 public:
  Crosshair();
  virtual ~Crosshair();


  virtual void process(const Event &event);

  /** @returns the current 3D-position of the Crosshair */
  const Vector& getPosition() { return this->position; };

  void tick(float dt);
  void draw();

 private:
   Vector           position;             //!< The current position of the Crosshair

};

#endif /* _CROSSHAIR_H */
